## support-bundle diff

Compare two support bundles and identify changes

### Synopsis

Compare two support bundle archives to identify changes over time. The command outputs a human-readable report by default and can also emit machine-readable JSON.

```
support-bundle diff <old-bundle.(tar.gz|tgz)> <new-bundle.(tar.gz|tgz)> [flags]
```

### Options

```
      --diff-context int       number of context lines to include around changes in unified diffs (default 3)
  -h, --help                   help for diff
      --hide-inline-diffs      hide inline unified diffs in the report
      --include-log-diffs      include inline diffs for log files as well
      --max-diff-files int     maximum number of files to include inline diffs for; additional modified files will omit inline diffs (default 50)
      --max-diff-lines int     maximum total lines to include in an inline diff for a single file (default 200)
  -o, --output string          file path of where to save the diff report (default prints to stdout)
      --format string          output format; set to 'json' to emit machine-readable JSON to stdout or -o
```

### Notes

- Only `.tar.gz` bundles are supported.
- Inline diffs are generated for text files up to an internal size cap and for a limited number of files (configurable with `--max-diff-files`).

### Examples

```
# Human-readable diff to stdout
support-bundle diff old.tgz new.tgz

# JSON output to a file
support-bundle diff old.tgz new.tgz --format=json -o diff.json

# Human-readable report with more context lines, written to a file
support-bundle diff old.tgz new.tgz --diff-context=5 -o report.txt
```

### Options inherited from parent commands

```
      --cpuprofile string   File path to write cpu profiling data
      --memprofile string   File path to write memory profiling data
```

### SEE ALSO
* [support-bundle](support-bundle.md)	 - Generate a support bundle from a Kubernetes cluster or specified sources

###### Auto generated by spf13/cobra on 15-Sep-2025
